| Home | Libraries | People | FAQ | More

## Struct template equal

boost::intrusive::equal

## Synopsis

    // In header: <boost/intrusive/options.hpp>

    template<typename Equal>
    struct equal {
      // member classes/structs/unions

      // @ template<class Base>

      struct pack {
        // types
        typedef Equal equal;
      };
    };

## Description

This option setter specifies the equality functor for the value type